Page MenuHomePhabricator

Oversighters should only be able to suppress a username for sitewide blocks (not partial blocks) via "Hide username from edits and lists" checkbox
Closed, ResolvedPublic5 Story Points

Description

Via Special:Block, users with oversight permissions (and the hideuser right) can configure a block to both prevent a user from editing ("block") and scrub the UI of their username ("suppress"). On Test Wiki this is limited to only indefinite blocks, but it may be different across our various wikis.

Suppression is only appropriate for sitewide blocks. Defect: The Sp:Block UI allows an oversighter to suppress a user for a partial block.


Acceptance criteria

  • For users with the hideuser right...
    • On Special:Block, the "Hide username from edits and lists" checkbox should only appear if
      • the Editing checkbox is selected, and
      • the radio button is set to Sitewide, and
      • the duration is set to indefinite
    • If the person changes a suppressed sitewide block to a partial block, it should become unsuppressed.
    • API submissions to suppress for partial blocks should return an appropriate error message
  • uncheck the "hide user" checkbox whenever it is hidden

Event Timeline

TBolliger triaged this task as Normal priority.Nov 20 2018, 7:44 PM
TBolliger created this task.
Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptNov 20 2018, 7:44 PM
TBolliger lowered the priority of this task from Normal to Low.Nov 20 2018, 7:44 PM
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
TBolliger moved this task from Untriaged to Cards ready to be estimated on the Anti-Harassment board.
TBolliger updated the task description. (Show Details)EditedNov 29 2018, 7:19 PM
TBolliger set the point value for this task to 5.

Change itself should be simple, but 5 because there will likely be a lot of if/then conditions. Some uncertaintly about log lines (do they become unsuppressed?)

And we should write tests

On Test Wiki this is limited to only indefinite blocks, but it may be different across our various wikis.

The "hide user" checkbox is hidden from the UI if the expiration is not set to "indefinite" - do we need to worry about this? (That said, I can't imagine a use case for a non-indefinite suppression.)

TBolliger updated the task description. (Show Details)Jan 11 2019, 8:29 PM

On Test Wiki this is limited to only indefinite blocks, but it may be different across our various wikis.

The "hide user" checkbox is hidden from the UI if the expiration is not set to "indefinite" - do we need to worry about this? (That said, I can't imagine a use case for a non-indefinite suppression.)

This functionality should continue to exist. Maybe we can piggy-back on this logic?

SPoore added a subscriber: SPoore.EditedJan 11 2019, 8:34 PM

It is intentional that only indef blocks allow for user names to be suppressed. We are using it only to suppress indef blocked troll accounts that meet a strict criteria for suppression. This is not needed for partial blocks even if time period was indef.

There are other workflows used to rename accounts that are used for other situations.

dbarratt changed the edit policy from "Custom Policy" to "All Users".Jan 14 2019, 1:49 PM
  • If the person changes a suppressed sitewide block to a partial block, it should become unsuppressed.

In order to do this, we need to uncheck the "hide user" checkbox whenever it is hidden. Otherwise, on reblocking the suppressed user with a partial block, the form will have the "hide user" checkbox checked and hidden, making it impossible to uncheck (without playing around with the parameters of the block).

TBolliger updated the task description. (Show Details)Jan 15 2019, 5:24 PM

Change 484526 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] Do not allow user suppression in a partial block

https://gerrit.wikimedia.org/r/484526

dbarratt updated the task description. (Show Details)Jan 16 2019, 7:33 PM

I would think this is should be 'Editing' checkbox AND 'Sitewide' radio button... not 'or'.

dbarratt updated the task description. (Show Details)Jan 16 2019, 8:25 PM
TBolliger updated the task description. (Show Details)Jan 16 2019, 9:04 PM
revi added a subscriber: revi.Jan 17 2019, 6:26 PM

Just wondering: why not force sitewide/indef blocking when you click 'hideuser' option? That would be less click <_<

Just wondering: why not force sitewide/indef blocking when you click 'hideuser' option? That would be less click <_<

That's the change we're proposing in T213972: Consider updating the Oversight/Suppress UX on Special:Block

This current task (T210002) is just to fix oversighting for partial blocks.

@TBolliger Can we decline this task in favor of T213972 ? I can't imagine it would be more than 5 points.

@dbarratt @TBolliger There's already a patch up for this - it might be better to merge that fix to ensure no partial-block suppressions accidentally get made, and then get to work on T213972.

The current patch also makes sure partial-block suppressions can't be made over the API, which would need to stay.

@dbarratt @TBolliger There's already a patch up for this - it might be better to merge that fix to ensure no partial-block suppressions accidentally get made, and then get to work on T213972.
The current patch also makes sure partial-block suppressions can't be made over the API, which would need to stay.

๐Ÿ‘

Change 484526 merged by jenkins-bot:
[mediawiki/core@master] Disallow user suppression in a partial block

https://gerrit.wikimedia.org/r/484526

dmaza closed this task as Resolved.Feb 6 2019, 3:03 PM
dmaza moved this task from Review to Done on the Anti-Harassment (Gimel โ€” ื’) board.